Modify

Opened 6 years ago

Closed 4 years ago

#4786 closed defect (fixed)

Error on first activation

Reported by: cmaj Owned by: rjollos
Priority: normal Component: TaskListPlugin
Severity: normal Keywords:
Cc: Trac Release: 0.11

Description

After install and activate the plugin, when I do the first access I get the following error:

ValueError: list.remove(x): x not in list

Python Traceback

File "/usr/lib64/python2.5/site-packages/trac/web/main.py", line 435, in _dispatch_request dispatcher.dispatch(req)
File "/usr/lib64/python2.5/site-packages/trac/web/main.py", line 205, in dispatch resp = chosen_handler.process_request(req)
File "build/bdist.linux-x86_64/egg/tasklist/main.py", line 171, in process_request

System Information:

User Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; es-ES; rv:1.9.0.7) Gecko/2009021910 Firefox/3.0.7
Trac: 	0.11.3
Python: 	2.5.1 (r251:54863, Sep 21 2007, 22:46:31) [GCC 4.2.1 (SUSE Linux)]
setuptools: 	0.6c9
SQLite: 	3.4.1
pysqlite: 	2.3.2
Genshi: 	0.5.1
mod_python: 	3.3.1
Subversion: 	1.4.4 (r25188)
jQuery:	1.2.6

Attachments (0)

Change History (4)

comment:1 follow-up: Changed 6 years ago by anonymous

Hi all i detected the same error

ValueError: list.remove(x): x not in list
File "/usr/lib/python2.5/site-packages/Trac-0.11.3-py2.5.egg/trac/web/main.py", line 435, in _dispatch_request
  dispatcher.dispatch(req)
File "/usr/lib/python2.5/site-packages/Trac-0.11.3-py2.5.egg/trac/web/main.py", line 205, in dispatch
  resp = chosen_handler.process_request(req)
File "build/bdist.linux-i686/egg/tasklist/main.py", line 171, in process_request
Trac:  	0.11.3
Python: 	2.5.2 (r252:60911, Jan 4 2009, 18:00:02) [GCC 4.3.2]
setuptools: 	0.6c9
MySQL: 	server: "5.0.51a-24", client: "5.0.51a", thread-safe: 1
MySQLdb: 	1.2.2
Genshi: 	0.5.1
mod_python: 	3.3.1
Subversion: 	1.5.1 (r32289)
jQuery:	1.2.6

Linux Debian 2.6.18-028stab059.9

comment:2 in reply to: ↑ 1 ; follow-up: Changed 5 years ago by sunit

I fixed the above error by filling in the [tasklist] and [ticket-custom] sections of the trac.ini. However, I've now got this error:

SystemError: Parent module 'tasklist' not loaded

Python Traceback

    *    File "/usr/lib64/python2.5/site-packages/trac/web/main.py", line 435, in  _dispatch_request
      Code fragment:
       430. try:
       431. if not env and env_error:
       432. raise HTTPInternalError(env_error)
       433. try:
       434. dispatcher = RequestDispatcher(env)
       435. dispatcher.dispatch(req)
       436. except RequestDone:
       437. pass
       438. resp = req._response or []
       439.  
       440. except HTTPException, e:
      Local variables:
      Name	Value
      after 	[u' except RequestDone:', u' pass', u' resp = ...
      before 	[u' try:', u' if not env and env_error:', u' raise ...
      dispatcher 	<trac.web.main.RequestDispatcher object at 0x7f594d410ad0>
      e 	SystemError("Parent module 'tasklist' not loaded",)
      env 	<trac.env.Environment object at 0x7f594cb37f10>
      env_error 	None
      exc_info 	(<type 'exceptions.SystemError'>, SystemError("Parent module 'tasklist' ...
      filename 	'/usr/lib64/python2.5/site-packages/trac/web/main.py'
      frames 	[{'function': '_dispatch_request', 'lines_before': [u' try:', u' ...
      has_admin 	True
      line 	u' dispatcher.dispatch(req)'
      lineno 	434
      message 	u"SystemError: Parent module 'tasklist' not loaded"
      req 	<Request "GET u'/tasklist'">
      resp 	[]
      tb 	<traceback object at 0x7f594d40f3f8>
      tb_hide 	None
      traceback 	u'Traceback (most recent call last):\n File ...
    * File "/usr/lib64/python2.5/site-packages/trac/web/main.py", line 205, in dispatch
      Code fragment:
       200. req.args.get('__FORM_TOKEN') != req.form_token:
       201. raise HTTPBadRequest('Missing or invalid form token. '
       202. 'Do you have cookies enabled?')
       203.  
       204. # Process the request and render the template
       205. resp = chosen_handler.process_request(req)
       206. if resp:
       207. if len(resp) == 2: # Clearsilver
       208. chrome.populate_hdf(req)
       209. template, content_type = \
       210. self._post_process_request(req, *resp)
      Local variables:
      Name	Value
      chosen_handler 	<tasklist.main.TasklistPlugin object at 0x7f594d3cc710>
      chrome 	<trac.web.chrome.Chrome object at 0x7f594d3ac410>
      err 	(<type 'exceptions.SystemError'>, SystemError("Parent module 'tasklist' ...
      handler 	<tasklist.main.TasklistPlugin object at 0x7f594d3cc710>
      req 	<Request "GET u'/tasklist'">
      self 	<trac.web.main.RequestDispatcher object at 0x7f594d410ad0>
    * File "build/bdist.linux-x86_64/egg/tasklist/main.py", line 172, in process_request
      Local variables:
      Name	Value
      cols 	['id', u"['id'", u"'summary'", u"'priority']", u'action_item']
      constraints 	{'status': [u'!closed'], 'owner': [u'sunit']}
      data 	{'tickets': [{u'status': u'new', u'changetime': datetime.datetime(2009, 6, ...
      field 	'owner'
      form_cols 	[u"['id'", u"'summary'", u"'priority']", u'action_item']
      mime_type 	None
      q 	<trac.ticket.query.Query object at 0x7f594cb44950>
      qstring 	u'status!=closed&owner=sunit'
      query 	<trac.ticket.query.Query object at 0x7f594cb762d0>
      query_href 	'/medusa/query?status=%21closed&order=priority&col=id&col=action_item&owner ...
      req 	<Request "GET u'/tasklist'">
      rows 	[]
      self 	<tasklist.main.TasklistPlugin object at 0x7f594d3cc710>
      template 	'query.html'
      user 	u'sunit'
      val 	u'sunit'
      vals 	[u'sunit']
    * File "build/bdist.linux-x86_64/egg/tasklist/main.py", line 39, in pprint
      Local variables:
      Name	Value
      object 	[{u'status': u'new', u'changetime': datetime.datetime(2009, 6, 21, 8, 26, ...
      prefix 	''

File "/usr/lib64/python2.5/site-packages/trac/web/main.py", line 435, in _dispatch_request
  dispatcher.dispatch(req)
File "/usr/lib64/python2.5/site-packages/trac/web/main.py", line 205, in dispatch
  resp = chosen_handler.process_request(req)
File "build/bdist.linux-x86_64/egg/tasklist/main.py", line 172, in process_requestFile "build/bdist.linux-x86_64/egg/tasklist/main.py", line 39, in pprint

System Information:

User Agent: Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; en-US; rv:1.9.0.11) Gecko/2009060214 Firefox/3.0.11
Trac: 	0.11.4
Python: 	2.5.2 (r252:60911, Jun 7 2008, 00:38:48) [GCC 4.3.1 20080507 (prerelease) [gcc-4_3-branch revision 135036]]
setuptools: 	0.6c9
SQLite: 	3.5.7
pysqlite: 	2.3.2
Genshi: 	0.5.1
mod_python: 	3.3.1
RPC: 	1.0.2
jQuery:	1.2.6

comment:3 in reply to: ↑ 2 Changed 4 years ago by rjollos

  • Owner changed from pacopablo to rjollos
  • Status changed from new to assigned

Replying to sunit:

I fixed the above error by filling in the [tasklist] and [ticket-custom] sections of the trac.ini. However, I've now got this error:

I'm not exactly sure why you are seeing that error, but it is failing on the pprint line, which is a debug statement that will be commented out in the next commit.

comment:4 Changed 4 years ago by rjollos

  • Resolution set to fixed
  • Status changed from assigned to closed

(In [9681]) Raise an error if the custom ticket field has not been defined in the ticket-custom section of trac.ini. Bumped version to 0.1.2. Fixes #4786.

Add Comment

Modify Ticket

Action
as closed The owner will remain rjollos.
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.